# tcex-cli - ThreatConnect&trade; Exchange CLI Package

The TcEx CLI package provides functionality for creating ThreatConnect Apps and Integrations.

## Requirements

 * arrow (https://pypi.python.org/pypi/arrow)
 * black (https://pypi.org/project/black/)
 * debugpy (https://pypi.org/project/debugpy/)
 * fakeredis (https://pypi.org/project/fakeredis/)
 * inflection (https://pypi.python.org/pypi/inflection)
 * isort (https://pypi.org/project/isort/)
 * jmespath (https://pypi.org/project/jmespath/)
 * paho-mqtt (https://pypi.org/project/paho-mqtt/)
 * pyaes (https://pypi.org/project/pyaes/)
 * pydantic (https://pypi.org/project/pydantic/)
 * python-dateutil (https://pypi.python.org/pypi/python-dateutil)
 * python-dotenv (https://pypi.org/project/python-dotenv/)
 * pyyaml (https://pypi.org/project/pyyaml/)
 * redis (https://pypi.python.org/pypi/redis)
 * requests (http://docs.python-requests.org/en/latest)
 * rich (https://pypi.org/project/rich/)
 * semantic_version (https://pypi.org/project/semantic-version/)
 * tinydb (https://pypi.python.org/pypi/tinydb)
 * typer (https://pypi.python.org/pypi/typer)

### Development Requirements

 * bandit (https://pypi.org/project/bandit/)
 * pre-commit (https://pypi.org/project/pre-commit/)
 * pydocstyle (https://pypi.org/project/pydocstyle/)
 * pyright (https://pypi.org/project/pyright/)
 * pytest (https://pypi.org/project/pytest/)
 * pytest-cov (https://pypi.org/project/pytest-cov/)
 * pyupgrade (https://pypi.org/project/pyupgrade/)

## Installation

**Using pip**

```bash
pip install tcex-cli
```

## Documentation

https://threatconnect.readme.io/docs/tcex-cli-overview

## Release Notes

https://threatconnect.readme.io/docs/tcex-cli-release-notes

## Development and Testing

After cloning the repository, install the development and testing requirements.

```bash
uv sync
```

## Contact

If you have any questions, bugs, or requests please contact support@threatconnect.com
